Index: external/ExRootAnalysis/CMakeLists.txt
===================================================================
--- external/ExRootAnalysis/CMakeLists.txt	(revision 4564cba9fa0180ca6c293da8cea545291a6d0116)
+++ 	(revision )
@@ -1,40 +1,0 @@
-include_directories(
-  ${CMAKE_SOURCE_DIR}/external
-  ${ROOT_INCLUDE_DIRS}
-)
-
-file(GLOB sources *.cc)
-file(GLOB headers *.h)
-
-list(REMOVE_ITEM headers ${CMAKE_CURRENT_SOURCE_DIR}/ExRootAnalysisLinkDef.h)
-
-# the macro invocation for ROOT6 ensures that the headers are relocatable
-if (NOT ${ROOT_VERSION} VERSION_LESS "6.0.0")
-  DELPHES_GENERATE_DICTIONARY(ExRootAnalysisDict
-    ExRootAnalysis/ExRootClassifier.h
-    ExRootAnalysis/ExRootConfReader.h
-    ExRootAnalysis/ExRootFilter.h
-    ExRootAnalysis/ExRootProgressBar.h
-    ExRootAnalysis/ExRootResult.h
-    ExRootAnalysis/ExRootTask.h
-    ExRootAnalysis/ExRootTreeBranch.h
-    ExRootAnalysis/ExRootTreeReader.h
-    ExRootAnalysis/ExRootTreeWriter.h
-    ExRootAnalysis/ExRootUtilities.h
-    LINKDEF ExRootAnalysisLinkDef.h)
-else()
-  # for ROOT5 the above fails, keep the following as workaround
-  DELPHES_GENERATE_DICTIONARY(ExRootAnalysisDict ${headers} LINKDEF ExRootAnalysisLinkDef.h)
-endif()
-
-add_library(ExRootAnalysis OBJECT ${sources} ExRootAnalysisDict.cxx)
-
-# install headers
-install(FILES ${headers} DESTINATION include/ExRootAnalysis)
-
-# install pcms if they are created
-if (NOT ${ROOT_VERSION} VERSION_LESS "6.0.0")
-  install(FILES
-      ${PROJECT_BINARY_DIR}/external/ExRootAnalysis/libExRootAnalysisDict_rdict.pcm
-      DESTINATION lib)
-endif()
Index: external/ExRootAnalysis/ExRootAnalysisLinkDef.h
===================================================================
--- external/ExRootAnalysis/ExRootAnalysisLinkDef.h	(revision 4564cba9fa0180ca6c293da8cea545291a6d0116)
+++ external/ExRootAnalysis/ExRootAnalysisLinkDef.h	(revision d7d2da362406b9e37fdf238970417c94779b54b0)
@@ -4,4 +4,8 @@
  *  Lists classes to be included in cint dicitonary
  *
+ *  $Date: 2008-07-08 12:01:52 $
+ *  $Revision: 1.2 $
+ *
+ *  
  *  \author P. Demin - UCL, Louvain-la-Neuve
  *
Index: external/ExRootAnalysis/ExRootClassifier.h
===================================================================
--- external/ExRootAnalysis/ExRootClassifier.h	(revision 4564cba9fa0180ca6c293da8cea545291a6d0116)
+++ external/ExRootAnalysis/ExRootClassifier.h	(revision d7d2da362406b9e37fdf238970417c94779b54b0)
@@ -11,5 +11,7 @@
   virtual ~ExRootClassifier() {}
   virtual Int_t GetCategory(TObject *object) = 0;
+
 };
 
 #endif /* ExRootClassifier */
+
Index: external/ExRootAnalysis/ExRootConfReader.cc
===================================================================
--- external/ExRootAnalysis/ExRootConfReader.cc	(revision 4564cba9fa0180ca6c293da8cea545291a6d0116)
+++ external/ExRootAnalysis/ExRootConfReader.cc	(revision d7d2da362406b9e37fdf238970417c94779b54b0)
@@ -4,4 +4,8 @@
  *  Class handling output ROOT tree
  *
+ *  $Date: 2008-06-04 13:57:54 $
+ *  $Revision: 1.1 $
+ *
+ *
  *  \author P. Demin - UCL, Louvain-la-Neuve
  *
@@ -12,27 +16,23 @@
 #include "tcl/tcl.h"
 
-#include "TSystem.h"
-
+#include <iostream>
+#include <iomanip>
 #include <fstream>
-#include <iomanip>
-#include <iostream>
+#include <string>
+#include <stdexcept>
 #include <sstream>
-#include <stdexcept>
-#include <string>
 
 using namespace std;
 
 static Tcl_ObjCmdProc ModuleObjCmdProc;
-static Tcl_ObjCmdProc SourceObjCmdProc;
 
 //------------------------------------------------------------------------------
 
 ExRootConfReader::ExRootConfReader() :
-  fTopDir(0), fTclInterp(0)
+  fTclInterp(0)
 {
   fTclInterp = Tcl_CreateInterp();
 
   Tcl_CreateObjCommand(fTclInterp, "module", ModuleObjCmdProc, this, 0);
-  Tcl_CreateObjCommand(fTclInterp, "source", SourceObjCmdProc, this, 0);
 }
 
@@ -46,6 +46,14 @@
 //------------------------------------------------------------------------------
 
-void ExRootConfReader::ReadFile(const char *fileName, bool isTop)
-{
+void ExRootConfReader::ReadFile(const char *fileName)
+{
+/*
+  ifstream inputFileStream(fileName);
+  string cmdBuffer = string(istreambuf_iterator<char>(inputFileStream), istreambuf_iterator<char>());
+
+  Tcl_Obj *cmdObjPtr = Tcl_NewObj();
+  cmdObjPtr->bytes = const_cast<char *>(cmdBuffer.c_str());
+  cmdObjPtr->length = cmdBuffer.size();
+*/
   stringstream message;
 
@@ -56,6 +64,4 @@
     throw runtime_error(message.str());
   }
-
-  if(isTop) fTopDir = gSystem->DirName(fileName);
 
   int file_length = inputFileStream.tellg();
@@ -91,5 +97,5 @@
 {
   Tcl_Obj *object;
-  Tcl_Obj *variableName = Tcl_NewStringObj(const_cast<char *>(name), -1);
+  Tcl_Obj *variableName = Tcl_NewStringObj(const_cast<char *>(name),-1);
   object = Tcl_ObjGetVar2(fTclInterp, variableName, 0, TCL_GLOBAL_ONLY);
   return ExRootConfParam(name, object, fTclInterp);
@@ -186,15 +192,18 @@
 int ModuleObjCmdProc(ClientData clientData, Tcl_Interp *interp, int objc, Tcl_Obj *const objv[])
 {
-  ExRootConfReader *reader = static_cast<ExRootConfReader *>(clientData);
-
   if(objc < 3)
   {
+/*
+    Tcl_SetResult(interp, "wrong # args: should be \"module className moduleName arg ?arg...?\"", 0);
+*/
     Tcl_WrongNumArgs(interp, 1, objv, "className moduleName ?arg...?");
-    return TCL_ERROR;
-  }
+		return TCL_ERROR;
+  }
+
+  ExRootConfReader *test = (ExRootConfReader*) clientData;
 
   // add module to a list of modules to be created
 
-  reader->AddModule(Tcl_GetStringFromObj(objv[1], 0), Tcl_GetStringFromObj(objv[2], 0));
+  test->AddModule(Tcl_GetStringFromObj(objv[1], 0), Tcl_GetStringFromObj(objv[2], 0));
 
   if(objc > 3)
@@ -203,27 +212,8 @@
     Tcl_ListObjAppendElement(interp, object, Tcl_NewStringObj("namespace", -1));
     Tcl_ListObjAppendElement(interp, object, Tcl_NewStringObj("eval", -1));
-    Tcl_ListObjAppendList(interp, object, Tcl_NewListObj(objc - 2, objv + 2));
+    Tcl_ListObjAppendList(interp, object, Tcl_NewListObj(objc-2, objv+2));
 
     return Tcl_GlobalEvalObj(interp, object);
   }
-
-  return TCL_OK;
-}
-
-//------------------------------------------------------------------------------
-
-int SourceObjCmdProc(ClientData clientData, Tcl_Interp *interp, int objc, Tcl_Obj *const objv[])
-{
-  ExRootConfReader *reader = static_cast<ExRootConfReader *>(clientData);
-  stringstream fileName;
-
-  if(objc != 2)
-  {
-    Tcl_WrongNumArgs(interp, 1, objv, "fileName");
-    return TCL_ERROR;
-  }
-
-  fileName << reader->GetTopDir() << "/" << Tcl_GetStringFromObj(objv[1], 0);
-  reader->ReadFile(fileName.str().c_str(), false);
 
   return TCL_OK;
@@ -245,5 +235,5 @@
   if(fObject && TCL_OK != Tcl_GetIntFromObj(fTclInterp, fObject, &result))
   {
-    message << "parameter '" << fName << "' is not an integer." << endl;
+    message << "parameter '"<< fName << "' is not an integer." << endl;
     message << fName << " = " << Tcl_GetStringFromObj(fObject, 0);
     throw runtime_error(message.str());
@@ -260,5 +250,5 @@
   if(fObject && TCL_OK != Tcl_GetLongFromObj(fTclInterp, fObject, &result))
   {
-    message << "parameter '" << fName << "' is not an long integer." << endl;
+    message << "parameter '"<< fName << "' is not an long integer." << endl;
     message << fName << " = " << Tcl_GetStringFromObj(fObject, 0);
     throw runtime_error(message.str());
@@ -275,5 +265,5 @@
   if(fObject && TCL_OK != Tcl_GetDoubleFromObj(fTclInterp, fObject, &result))
   {
-    message << "parameter '" << fName << "' is not a number." << endl;
+    message << "parameter '"<< fName << "' is not a number." << endl;
     message << fName << " = " << Tcl_GetStringFromObj(fObject, 0);
     throw runtime_error(message.str());
@@ -290,5 +280,5 @@
   if(fObject && TCL_OK != Tcl_GetBooleanFromObj(fTclInterp, fObject, &result))
   {
-    message << "parameter '" << fName << "' is not a boolean." << endl;
+    message << "parameter '"<< fName << "' is not a boolean." << endl;
     message << fName << " = " << Tcl_GetStringFromObj(fObject, 0);
     throw runtime_error(message.str());
@@ -303,5 +293,5 @@
   const char *result = defaultValue;
   if(fObject) result = Tcl_GetStringFromObj(fObject, 0);
-  return result;
+  return result;  
 }
 
@@ -314,9 +304,9 @@
   if(fObject && TCL_OK != Tcl_ListObjLength(fTclInterp, fObject, &length))
   {
-    message << "parameter '" << fName << "' is not a list." << endl;
-    message << fName << " = " << Tcl_GetStringFromObj(fObject, 0);
-    throw runtime_error(message.str());
-  }
-  return length;
+    message << "parameter '"<< fName << "' is not a list." << endl;
+    message << fName << " = " << Tcl_GetStringFromObj(fObject, 0);
+    throw runtime_error(message.str());
+  }
+  return length;  
 }
 
@@ -329,5 +319,5 @@
   if(fObject && TCL_OK != Tcl_ListObjIndex(fTclInterp, fObject, index, &object))
   {
-    message << "parameter '" << fName << "' is not a list." << endl;
+    message << "parameter '"<< fName << "' is not a list." << endl;
     message << fName << " = " << Tcl_GetStringFromObj(fObject, 0);
     throw runtime_error(message.str());
Index: external/ExRootAnalysis/ExRootConfReader.h
===================================================================
--- external/ExRootAnalysis/ExRootConfReader.h	(revision 4564cba9fa0180ca6c293da8cea545291a6d0116)
+++ external/ExRootAnalysis/ExRootConfReader.h	(revision d7d2da362406b9e37fdf238970417c94779b54b0)
@@ -5,4 +5,8 @@
  *
  *  Class handling output ROOT tree
+ *
+ *  $Date: 2008-06-04 13:57:24 $
+ *  $Revision: 1.1 $
+ *
  *
  *  \author P. Demin - UCL, Louvain-la-Neuve
@@ -21,4 +25,5 @@
 {
 public:
+
   ExRootConfParam(const char *name = 0, Tcl_Obj *object = 0, Tcl_Interp *interp = 0);
 
@@ -33,4 +38,5 @@
 
 private:
+
   const char *fName; //!
   Tcl_Obj *fObject; //!
@@ -40,5 +46,5 @@
 //------------------------------------------------------------------------------
 
-class ExRootConfReader: public TNamed
+class ExRootConfReader : public TNamed
 {
 public:
@@ -48,5 +54,5 @@
   ~ExRootConfReader();
 
-  void ReadFile(const char *fileName, bool isTop = true);
+  void ReadFile(const char *fileName);
 
   int GetInt(const char *name, int defaultValue, int index = -1);
@@ -61,8 +67,5 @@
   void AddModule(const char *className, const char *moduleName);
 
-  const char *GetTopDir() const { return fTopDir; }
-
 private:
-  const char *fTopDir; //!
 
   Tcl_Interp *fTclInterp; //!
@@ -74,2 +77,3 @@
 
 #endif
+
Index: external/ExRootAnalysis/ExRootFilter.cc
===================================================================
--- external/ExRootAnalysis/ExRootFilter.cc	(revision 4564cba9fa0180ca6c293da8cea545291a6d0116)
+++ external/ExRootAnalysis/ExRootFilter.cc	(revision d7d2da362406b9e37fdf238970417c94779b54b0)
@@ -3,4 +3,8 @@
  *
  *  Class simplifying classification and subarrays handling
+ *
+ *  $Date: 2008-06-04 13:57:55 $
+ *  $Revision: 1.1 $
+ *
  *
  *  \author P. Demin - UCL, Louvain-la-Neuve
@@ -11,15 +15,15 @@
 #include "ExRootAnalysis/ExRootClassifier.h"
 
+#include "TSeqCollection.h"
 #include "TObjArray.h"
-#include "TSeqCollection.h"
 
 #include <iostream>
+#include <stdexcept>
 #include <sstream>
-#include <stdexcept>
 
 using namespace std;
 
-typedef map<Int_t, TObjArray *> TCategoryMap;
-typedef map<ExRootClassifier *, pair<Bool_t, TCategoryMap> > TClassifierMap;
+typedef map<Int_t, TObjArray*> TCategoryMap;
+typedef map<ExRootClassifier*, pair<Bool_t, TCategoryMap> > TClassifierMap;
 
 ExRootFilter::ExRootFilter(const TSeqCollection *collection) :
@@ -40,5 +44,5 @@
         itSubMap != itMap->second.second.end(); ++itSubMap)
     {
-      delete(itSubMap->second);
+      delete (itSubMap->second);
     }
   }
@@ -132,2 +136,3 @@
 
 //------------------------------------------------------------------------------
+
Index: external/ExRootAnalysis/ExRootFilter.h
===================================================================
--- external/ExRootAnalysis/ExRootFilter.h	(revision 4564cba9fa0180ca6c293da8cea545291a6d0116)
+++ external/ExRootAnalysis/ExRootFilter.h	(revision d7d2da362406b9e37fdf238970417c94779b54b0)
@@ -14,4 +14,5 @@
 {
 public:
+
   ExRootFilter(const TSeqCollection *collection);
   ~ExRootFilter();
@@ -22,9 +23,12 @@
 
 private:
+
   const TSeqCollection *fCollection; //!
   TIterator *fIter; //!
 
-  std::map<ExRootClassifier *, std::pair<Bool_t, std::map<Int_t, TObjArray *> > > fMap; //!
+  std::map<ExRootClassifier*, std::pair<Bool_t, std::map<Int_t, TObjArray*> > > fMap; //!
+
 };
 
 #endif /* ExRootFilter */
+
Index: external/ExRootAnalysis/ExRootProgressBar.cc
===================================================================
--- external/ExRootAnalysis/ExRootProgressBar.cc	(revision 4564cba9fa0180ca6c293da8cea545291a6d0116)
+++ external/ExRootAnalysis/ExRootProgressBar.cc	(revision d7d2da362406b9e37fdf238970417c94779b54b0)
@@ -3,4 +3,8 @@
  *
  *  Class showing progress bar
+ *
+ *  $Date: 2008-06-04 13:57:55 $
+ *  $Revision: 1.1 $
+ *
  *
  *  \author P. Demin - UCL, Louvain-la-Neuve
@@ -14,6 +18,6 @@
 #include <iostream>
 
+#include <string.h>
 #include <stdio.h>
-#include <string.h>
 
 using namespace std;
@@ -46,5 +50,5 @@
   if(fEntries > 0)
   {
-    Int_t hashes = Int_t(Double_t(entry) / fEntries * fWidth);
+    Int_t hashes = Int_t(Double_t(entry)/fEntries*fWidth);
     if(hashes > fWidth) hashes = fWidth;
     if(hashes != fHashes)
@@ -53,5 +57,5 @@
       memset(fBar + hashes, '-', fWidth - hashes);
       fHashes = hashes;
-      fprintf(stderr, "** [%s] (%.2f%%)\r", fBar, Float_t(entry) / fEntries * 100.0);
+      fprintf(stderr, "** [%s] (%.2f%%)\r", fBar, Float_t(entry)/fEntries*100.0);
     }
   }
@@ -77,2 +81,3 @@
 
 //------------------------------------------------------------------------------
+
Index: external/ExRootAnalysis/ExRootProgressBar.h
===================================================================
--- external/ExRootAnalysis/ExRootProgressBar.h	(revision 4564cba9fa0180ca6c293da8cea545291a6d0116)
+++ external/ExRootAnalysis/ExRootProgressBar.h	(revision d7d2da362406b9e37fdf238970417c94779b54b0)
@@ -7,4 +7,5 @@
 {
 public:
+
   ExRootProgressBar(Long64_t entries, Int_t width = 64);
   ~ExRootProgressBar();
@@ -14,4 +15,5 @@
 
 private:
+
   Long64_t fEntries, fEventCounter;
   Int_t fWidth;
@@ -21,5 +23,7 @@
 
   char *fBar; //!
+
 };
 
 #endif /* ExRootProgressBar */
+
Index: external/ExRootAnalysis/ExRootResult.cc
===================================================================
--- external/ExRootAnalysis/ExRootResult.cc	(revision 4564cba9fa0180ca6c293da8cea545291a6d0116)
+++ external/ExRootAnalysis/ExRootResult.cc	(revision d7d2da362406b9e37fdf238970417c94779b54b0)
@@ -4,4 +4,8 @@
  *  Class simplifying work with histograms
  *
+ *  $Date: 2008-06-04 13:57:56 $
+ *  $Revision: 1.1 $
+ *
+ *
  *  \author P. Demin - UCL, Louvain-la-Neuve
  *
@@ -12,18 +16,18 @@
 #include "ExRootAnalysis/ExRootUtilities.h"
 
+#include "TROOT.h"
+#include "TFile.h"
+#include "TClass.h"
+#include "TStyle.h"
 #include "TCanvas.h"
-#include "TClass.h"
-#include "TFile.h"
-#include "TFolder.h"
+#include "TLegend.h"
+#include "TPaveText.h"
+#include "TPaveStats.h"
+#include "TList.h"
 #include "TH2.h"
 #include "THStack.h"
-#include "TLegend.h"
-#include "TList.h"
+#include "TProfile.h"
 #include "TObjArray.h"
-#include "TPaveStats.h"
-#include "TPaveText.h"
-#include "TProfile.h"
-#include "TROOT.h"
-#include "TStyle.h"
+#include "TFolder.h"
 
 #include <iostream>
@@ -37,6 +41,5 @@
 //------------------------------------------------------------------------------
 
-ExRootResult::ExRootResult() :
-  fCanvas(0), fFolder(0)
+ExRootResult::ExRootResult() : fCanvas(0), fFolder(0)
 {
 }
@@ -46,5 +49,5 @@
 ExRootResult::~ExRootResult()
 {
-  set<TObject *>::iterator itPool;
+  set<TObject*>::iterator itPool;
   for(itPool = fPool.begin(); itPool != fPool.end(); ++itPool)
   {
@@ -69,5 +72,5 @@
   TFile *file = new TFile(fileName, "RECREATE");
   file->cd();
-  std::map<TObject *, PlotSettings>::iterator itPlotMap;
+  std::map<TObject*, PlotSettings>::iterator itPlotMap;
   for(itPlotMap = fPlotMap.begin(); itPlotMap != fPlotMap.end(); ++itPlotMap)
   {
@@ -124,5 +127,5 @@
   // gStyle->SetOptFit(101);
 
-  fCanvas = static_cast<TCanvas *>(gROOT->FindObject("c1"));
+  fCanvas = static_cast<TCanvas*>(gROOT->FindObject("c1"));
   if(fCanvas)
   {
@@ -155,5 +158,5 @@
   if(!plot) return;
 
-  std::map<TObject *, PlotSettings>::iterator itPlotMap = fPlotMap.find(plot);
+  std::map<TObject*, PlotSettings>::iterator itPlotMap = fPlotMap.find(plot);
   if(itPlotMap != fPlotMap.end())
   {
@@ -179,8 +182,8 @@
   if(plot->IsA()->InheritsFrom(TH1::Class()))
   {
-    histogram = static_cast<TH1 *>(plot);
-  }
-
-  map<TObject *, PlotSettings>::iterator itPlotMap = fPlotMap.find(plot);
+    histogram = static_cast<TH1*>(plot);
+  }
+
+  map<TObject*, PlotSettings>::iterator itPlotMap = fPlotMap.find(plot);
   if(itPlotMap != fPlotMap.end())
   {
@@ -225,5 +228,5 @@
   TCanvas *canvas = GetCanvas();
 
-  map<TObject *, PlotSettings>::iterator itPlotMap;
+  map<TObject*, PlotSettings>::iterator itPlotMap;
 
   for(itPlotMap = fPlotMap.begin(); itPlotMap != fPlotMap.end(); ++itPlotMap)
@@ -237,10 +240,10 @@
     if(object->IsA()->InheritsFrom(TH1::Class()))
     {
-      histogram = static_cast<TH1 *>(object);
+      histogram = static_cast<TH1*>(object);
     }
     else if(object->IsA()->InheritsFrom(THStack::Class()))
     {
-      stack = static_cast<THStack *>(object);
-      histogram = static_cast<TH1 *>(stack->GetHists()->First());
+      stack = static_cast<THStack*>(object);
+      histogram = static_cast<TH1*>(stack->GetHists()->First());
     }
 
@@ -272,5 +275,5 @@
     if(histogram)
     {
-      stats = static_cast<TPaveStats *>(histogram->FindObject("stats"));
+      stats = static_cast<TPaveStats*>(histogram->FindObject("stats"));
       if(stats)
       {
@@ -301,7 +304,7 @@
 
 TH1 *ExRootResult::AddHist1D(const char *name, const char *title,
-  const char *xlabel, const char *ylabel,
-  Int_t nxbins, Axis_t xmin, Axis_t xmax,
-  Int_t logx, Int_t logy)
+                             const char *xlabel, const char *ylabel,
+                             Int_t nxbins, Axis_t xmin, Axis_t xmax,
+                             Int_t logx, Int_t logy)
 {
   TH1F *hist = new TH1F(name, title, nxbins, xmin, xmax);
@@ -325,7 +328,7 @@
 
 TH1 *ExRootResult::AddHist1D(const char *name, const char *title,
-  const char *xlabel, const char *ylabel,
-  Int_t nxbins, const Float_t *bins,
-  Int_t logx, Int_t logy)
+                             const char *xlabel, const char *ylabel,
+                             Int_t nxbins, const Float_t *bins,
+                             Int_t logx, Int_t logy)
 {
   TH1F *hist = new TH1F(name, title, nxbins, bins);
@@ -349,7 +352,7 @@
 
 TProfile *ExRootResult::AddProfile(const char *name, const char *title,
-  const char *xlabel, const char *ylabel,
-  Int_t nxbins, Axis_t xmin, Axis_t xmax,
-  Int_t logx, Int_t logy)
+                                   const char *xlabel, const char *ylabel,
+                                   Int_t nxbins, Axis_t xmin, Axis_t xmax,
+                                   Int_t logx, Int_t logy)
 {
   TProfile *profile = new TProfile(name, title, nxbins, xmin, xmax);
@@ -373,8 +376,8 @@
 
 TH2 *ExRootResult::AddHist2D(const char *name, const char *title,
-  const char *xlabel, const char *ylabel,
-  Int_t nxbins, Axis_t xmin, Axis_t xmax,
-  Int_t nybins, Axis_t ymin, Axis_t ymax,
-  Int_t logx, Int_t logy)
+                             const char *xlabel, const char *ylabel,
+                             Int_t nxbins, Axis_t xmin, Axis_t xmax,
+                             Int_t nybins, Axis_t ymin, Axis_t ymax,
+                             Int_t logx, Int_t logy)
 {
   TH2F *hist = new TH2F(name, title, nxbins, xmin, xmax, nybins, ymin, ymax);
Index: external/ExRootAnalysis/ExRootResult.h
===================================================================
--- external/ExRootAnalysis/ExRootResult.h	(revision 4564cba9fa0180ca6c293da8cea545291a6d0116)
+++ external/ExRootAnalysis/ExRootResult.h	(revision d7d2da362406b9e37fdf238970417c94779b54b0)
@@ -2,10 +2,10 @@
 #define ExRootResult_h
 
+#include "Rtypes.h"
 #include "Gtypes.h"
-#include "Rtypes.h"
 #include "TMath.h"
 
+#include <set>
 #include <map>
-#include <set>
 
 class TH1;
@@ -23,4 +23,5 @@
 
 public:
+
   ExRootResult();
   ~ExRootResult();
@@ -31,23 +32,23 @@
 
   TH1 *AddHist1D(const char *name, const char *title,
-    const char *xlabel, const char *ylabel,
-    Int_t nxbins, Axis_t xmin, Axis_t xmax,
-    Int_t logx = 0, Int_t logy = 0);
+                 const char *xlabel, const char *ylabel,
+                 Int_t nxbins, Axis_t xmin, Axis_t xmax,
+                 Int_t logx = 0, Int_t logy = 0);
 
   TH1 *AddHist1D(const char *name, const char *title,
-    const char *xlabel, const char *ylabel,
-    Int_t nxbins, const Float_t *bins,
-    Int_t logx = 0, Int_t logy = 0);
+                 const char *xlabel, const char *ylabel,
+                 Int_t nxbins, const Float_t *bins,
+                 Int_t logx = 0, Int_t logy = 0);
 
   TProfile *AddProfile(const char *name, const char *title,
-    const char *xlabel, const char *ylabel,
-    Int_t nxbins, Axis_t xmin, Axis_t xmax,
-    Int_t logx = 0, Int_t logy = 0);
+                       const char *xlabel, const char *ylabel,
+                       Int_t nxbins, Axis_t xmin, Axis_t xmax,
+                       Int_t logx = 0, Int_t logy = 0);
 
   TH2 *AddHist2D(const char *name, const char *title,
-    const char *xlabel, const char *ylabel,
-    Int_t nxbins, Axis_t xmin, Axis_t xmax,
-    Int_t nybins, Axis_t ymin, Axis_t ymax,
-    Int_t logx = 0, Int_t logy = 0);
+                 const char *xlabel, const char *ylabel,
+                 Int_t nxbins, Axis_t xmin, Axis_t xmax,
+                 Int_t nybins, Axis_t ymin, Axis_t ymax,
+                 Int_t logx = 0, Int_t logy = 0);
 
   THStack *AddHistStack(const char *name, const char *title);
@@ -61,9 +62,10 @@
   TCanvas *GetCanvas();
 
-  void PrintPlot(TObject *plot, const char *sufix = "", const char *format = "eps");
+  void PrintPlot(TObject *plot, const char *sufix = "",  const char *format = "eps");
 
   void SetFolder(TFolder *folder) { fFolder = folder; }
 
 private:
+
   struct PlotSettings
   {
@@ -77,10 +79,12 @@
   TCanvas *fCanvas; //!
 
-  std::set<TObject *> fPool; //!
+  std::set<TObject*> fPool; //!
 
-  std::map<TObject *, PlotSettings> fPlotMap; //!
+  std::map<TObject*, PlotSettings> fPlotMap; //!
 
   TFolder *fFolder; //!
+
 };
 
 #endif /* ExRootResult_h */
+
Index: external/ExRootAnalysis/ExRootTask.cc
===================================================================
--- external/ExRootAnalysis/ExRootTask.cc	(revision 4564cba9fa0180ca6c293da8cea545291a6d0116)
+++ external/ExRootAnalysis/ExRootTask.cc	(revision d7d2da362406b9e37fdf238970417c94779b54b0)
@@ -3,4 +3,8 @@
  *
  *  Class handling output ROOT tree
+ *
+ *  $Date: 2008-06-04 13:57:56 $
+ *  $Revision: 1.1 $
+ *
  *
  *  \author P. Demin - UCL, Louvain-la-Neuve
@@ -11,13 +15,13 @@
 #include "ExRootAnalysis/ExRootConfReader.h"
 
+#include "TROOT.h"
 #include "TClass.h"
 #include "TFolder.h"
-#include "TROOT.h"
 #include "TString.h"
 
+#include <iostream>
 #include <iomanip>
-#include <iostream>
+#include <stdexcept>
 #include <sstream>
-#include <stdexcept>
 
 static const char *const kINIT = "0";
@@ -144,5 +148,5 @@
 
   if(!cl) return 0;
-
+ 
   if(!cl->InheritsFrom(ExRootTask::Class()))
   {
@@ -310,2 +314,3 @@
   return object;
 }
+
Index: external/ExRootAnalysis/ExRootTask.h
===================================================================
--- external/ExRootAnalysis/ExRootTask.h	(revision 4564cba9fa0180ca6c293da8cea545291a6d0116)
+++ external/ExRootAnalysis/ExRootTask.h	(revision d7d2da362406b9e37fdf238970417c94779b54b0)
@@ -5,4 +5,8 @@
  *
  *  Class handling output ROOT tree
+ *
+ *  $Date: 2008-06-04 13:57:26 $
+ *  $Revision: 1.1 $
+ *
  *
  *  \author P. Demin - UCL, Louvain-la-Neuve
@@ -17,7 +21,8 @@
 class TFolder;
 
-class ExRootTask: public TTask
+class ExRootTask : public TTask
 {
 public:
+
   ExRootTask();
   virtual ~ExRootTask();
@@ -40,5 +45,5 @@
   ExRootTask *NewTask(const char *className, const char *taskName);
 
-  void Exec(Option_t *option);
+  void Exec(Option_t* option);
 
   int GetInt(const char *name, int defaultValue, int index = -1);
@@ -54,4 +59,5 @@
 
 protected:
+
   TFolder *GetFolder() const { return fFolder; }
   ExRootConfReader *GetConfReader() const { return fConfReader; }
@@ -61,4 +67,5 @@
 
 private:
+
   TFolder *fFolder; //!
   ExRootConfReader *fConfReader; //!
@@ -68,2 +75,3 @@
 
 #endif /* ExRootTask */
+
Index: external/ExRootAnalysis/ExRootTreeBranch.cc
===================================================================
--- external/ExRootAnalysis/ExRootTreeBranch.cc	(revision 4564cba9fa0180ca6c293da8cea545291a6d0116)
+++ external/ExRootAnalysis/ExRootTreeBranch.cc	(revision d7d2da362406b9e37fdf238970417c94779b54b0)
@@ -1,22 +1,26 @@
 
 /** \class ExRootTreeBranch
- *
- *  Class handling object creation
- *  It is also used for output ROOT tree branches
- *
- *  \author P. Demin - UCL, Louvain-la-Neuve
- *
- */
+*
+*  Class handling object creation
+*  It is also used for output ROOT tree branches
+*
+*  $Date: 2008-06-04 13:57:56 $
+*  $Revision: 1.1 $
+*
+*
+*  \author P. Demin - UCL, Louvain-la-Neuve
+*
+*/
 
 #include "ExRootAnalysis/ExRootTreeBranch.h"
 
+#include "TFile.h"
+#include "TTree.h"
+#include "TString.h"
 #include "TClonesArray.h"
-#include "TFile.h"
-#include "TString.h"
-#include "TTree.h"
 
 #include <iostream>
+#include <stdexcept>
 #include <sstream>
-#include <stdexcept>
 
 using namespace std;
@@ -28,6 +32,6 @@
 {
   stringstream message;
-  //  cl->IgnoreTObjectStreamer();
-  //  cl->BypassStreamer();
+//  cl->IgnoreTObjectStreamer();
+//  cl->BypassStreamer();
   fData = new TClonesArray(cl, fCapacity);
 
@@ -65,14 +69,9 @@
   if(fSize >= fCapacity)
   {
-    if(fCapacity < 10)
-      fCapacity = 10;
-    else if(fCapacity < 30)
-      fCapacity = 30;
-    else if(fCapacity < 100)
-      fCapacity = 100;
-    else if(fCapacity < 250)
-      fCapacity = 250;
-    else
-      fCapacity *= 2;
+    if(fCapacity < 10) fCapacity = 10;
+    else if(fCapacity < 30) fCapacity = 30;
+    else if(fCapacity < 100) fCapacity = 100;
+    else if(fCapacity < 250) fCapacity = 250;
+    else fCapacity *= 2;
 
     fData->ExpandCreateFast(fCapacity);
@@ -81,5 +80,5 @@
     fData->ExpandCreateFast(fSize);
   }
-
+  
   return fData->AddrAt(fSize++);
 }
@@ -94,2 +93,3 @@
 
 //------------------------------------------------------------------------------
+
Index: external/ExRootAnalysis/ExRootTreeBranch.h
===================================================================
--- external/ExRootAnalysis/ExRootTreeBranch.h	(revision 4564cba9fa0180ca6c293da8cea545291a6d0116)
+++ external/ExRootAnalysis/ExRootTreeBranch.h	(revision d7d2da362406b9e37fdf238970417c94779b54b0)
@@ -6,4 +6,8 @@
  *  Class handling object creation.
  *  It is also used for output ROOT tree branches
+ *
+ *  $Date: 2008-06-04 13:57:27 $
+ *  $Revision: 1.1 $
+ *
  *
  *  \author P. Demin - UCL, Louvain-la-Neuve
@@ -19,4 +23,5 @@
 {
 public:
+
   ExRootTreeBranch(const char *name, TClass *cl, TTree *tree = 0);
   ~ExRootTreeBranch();
@@ -26,4 +31,5 @@
 
 private:
+
   Int_t fSize, fCapacity; //!
   TClonesArray *fData; //!
@@ -31,2 +37,3 @@
 
 #endif /* ExRootTreeBranch */
+
Index: external/ExRootAnalysis/ExRootTreeReader.cc
===================================================================
--- external/ExRootAnalysis/ExRootTreeReader.cc	(revision 4564cba9fa0180ca6c293da8cea545291a6d0116)
+++ external/ExRootAnalysis/ExRootTreeReader.cc	(revision d7d2da362406b9e37fdf238970417c94779b54b0)
@@ -3,4 +3,8 @@
  *
  *  Class simplifying access to ROOT tree branches
+ *
+ *  $Date: 2008-06-04 13:57:57 $
+ *  $Revision: 1.1 $
+ *
  *
  *  \author P. Demin - UCL, Louvain-la-Neuve
@@ -10,10 +14,9 @@
 #include "ExRootAnalysis/ExRootTreeReader.h"
 
-#include "TBranchElement.h"
-#include "TCanvas.h"
-#include "TParameter.h"
-#include "TClonesArray.h"
 #include "TH2.h"
 #include "TStyle.h"
+#include "TCanvas.h"
+#include "TClonesArray.h"
+#include "TBranchElement.h"
 
 #include <iostream>
@@ -52,5 +55,5 @@
   if(fChain->IsA() == TChain::Class())
   {
-    TChain *chain = static_cast<TChain *>(fChain);
+    TChain *chain = static_cast<TChain*>(fChain);
     if(chain->GetTreeNumber() != fCurrentTree)
     {
@@ -95,5 +98,5 @@
       if(branch->IsA() == TBranchElement::Class())
       {
-        TBranchElement *element = static_cast<TBranchElement *>(branch);
+        TBranchElement *element = static_cast<TBranchElement*>(branch);
         const char *className = element->GetClonesName();
         Int_t size = element->GetMaximum();
@@ -116,17 +119,4 @@
 
   return array;
-}
-
-//------------------------------------------------------------------------------
-
-Double_t ExRootTreeReader::GetInfo(const char *name)
-{
-  TTree *tree = NULL;
-  TParameter<Double_t> *param = NULL;
-  Double_t result = -999.9;
-  if(fChain) tree = fChain->GetTree();
-  if(tree) param = static_cast<TParameter<Double_t> *>(tree->GetUserInfo()->FindObject(name));
-  if(param) result = param->GetVal();
-  return result;
 }
 
@@ -159,2 +149,3 @@
 
 //------------------------------------------------------------------------------
+
Index: external/ExRootAnalysis/ExRootTreeReader.h
===================================================================
--- external/ExRootAnalysis/ExRootTreeReader.h	(revision 4564cba9fa0180ca6c293da8cea545291a6d0116)
+++ external/ExRootAnalysis/ExRootTreeReader.h	(revision d7d2da362406b9e37fdf238970417c94779b54b0)
@@ -6,18 +6,23 @@
  *  Class simplifying access to ROOT tree branches
  *
+ *  $Date: 2008-06-04 13:57:27 $
+ *  $Revision: 1.1 $
+ *
+ *
  *  \author P. Demin - UCL, Louvain-la-Neuve
  *
  */
 
+#include "TROOT.h"
+#include "TNamed.h"
 #include "TChain.h"
 #include "TFile.h"
-#include "TNamed.h"
-#include "TROOT.h"
 
 #include <map>
 
-class ExRootTreeReader: public TNamed
+class ExRootTreeReader : public TNamed
 {
-public:
+public :
+
   ExRootTreeReader(TTree *tree = 0);
   ~ExRootTreeReader();
@@ -29,7 +34,7 @@
 
   TClonesArray *UseBranch(const char *branchName);
-  Double_t GetInfo(const char *name);
 
 private:
+
   Bool_t Notify();
 
@@ -37,5 +42,5 @@
   Int_t fCurrentTree; //! current Tree number in a TChain
 
-  typedef std::map<TString, std::pair<TBranch *, TClonesArray *> > TBranchMap;
+  typedef std::map<TString, std::pair<TBranch*, TClonesArray*> > TBranchMap;
 
   TBranchMap fBranchMap; //!
Index: external/ExRootAnalysis/ExRootTreeWriter.cc
===================================================================
--- external/ExRootAnalysis/ExRootTreeWriter.cc	(revision 4564cba9fa0180ca6c293da8cea545291a6d0116)
+++ external/ExRootAnalysis/ExRootTreeWriter.cc	(revision d7d2da362406b9e37fdf238970417c94779b54b0)
@@ -3,4 +3,8 @@
  *
  *  Class handling output ROOT tree
+ *
+ *  $Date: 2008-06-04 13:57:57 $
+ *  $Revision: 1.1 $
+ *
  *
  *  \author P. Demin - UCL, Louvain-la-Neuve
@@ -11,13 +15,12 @@
 #include "ExRootAnalysis/ExRootTreeBranch.h"
 
-#include "TParameter.h"
+#include "TROOT.h"
+#include "TFile.h"
+#include "TTree.h"
 #include "TClonesArray.h"
-#include "TFile.h"
-#include "TROOT.h"
-#include "TTree.h"
 
 #include <iostream>
+#include <stdexcept>
 #include <sstream>
-#include <stdexcept>
 
 using namespace std;
@@ -32,8 +35,8 @@
 ExRootTreeWriter::~ExRootTreeWriter()
 {
-  set<ExRootTreeBranch *>::iterator itBranches;
+  set<ExRootTreeBranch*>::iterator itBranches;
   for(itBranches = fBranches.begin(); itBranches != fBranches.end(); ++itBranches)
   {
-    delete(*itBranches);
+    delete (*itBranches);
   }
 
@@ -49,12 +52,4 @@
   fBranches.insert(branch);
   return branch;
-}
-
-//------------------------------------------------------------------------------
-
-void ExRootTreeWriter::AddInfo(const char *name, Double_t value)
-{
-  if(!fTree) fTree = NewTree();
-  fTree->GetUserInfo()->Add(new TParameter<Double_t>(name, value));
 }
 
@@ -78,5 +73,5 @@
 void ExRootTreeWriter::Clear()
 {
-  set<ExRootTreeBranch *>::iterator itBranches;
+  set<ExRootTreeBranch*>::iterator itBranches;
   for(itBranches = fBranches.begin(); itBranches != fBranches.end(); ++itBranches)
   {
@@ -104,5 +99,5 @@
 
   tree->SetDirectory(fFile);
-  tree->SetAutoSave(10000000); // autosave when 10 MB written
+  tree->SetAutoSave(10000000);  // autosave when 10 MB written
 
   return tree;
Index: external/ExRootAnalysis/ExRootTreeWriter.h
===================================================================
--- external/ExRootAnalysis/ExRootTreeWriter.h	(revision 4564cba9fa0180ca6c293da8cea545291a6d0116)
+++ external/ExRootAnalysis/ExRootTreeWriter.h	(revision d7d2da362406b9e37fdf238970417c94779b54b0)
@@ -5,4 +5,8 @@
  *
  *  Class handling output ROOT tree
+ *
+ *  $Date: 2008-06-04 13:57:27 $
+ *  $Revision: 1.1 $
+ *
  *
  *  \author P. Demin - UCL, Louvain-la-Neuve
@@ -19,7 +23,8 @@
 class ExRootTreeBranch;
 
-class ExRootTreeWriter: public TNamed
+class ExRootTreeWriter : public TNamed
 {
 public:
+
   ExRootTreeWriter(TFile *file = 0, const char *treeName = "Analysis");
   ~ExRootTreeWriter();
@@ -28,9 +33,5 @@
   void SetTreeName(const char *name) { fTreeName = name; }
 
-  TTree* GetTree() { return fTree; }
-  void SetTree(TTree* t) { fTree = t; }
-
   ExRootTreeBranch *NewBranch(const char *name, TClass *cl);
-  void AddInfo(const char *name, Double_t value);
 
   void Clear();
@@ -39,4 +40,5 @@
 
 private:
+
   TTree *NewTree();
 
@@ -46,5 +48,5 @@
   TString fTreeName; //!
 
-  std::set<ExRootTreeBranch *> fBranches; //!
+  std::set<ExRootTreeBranch*> fBranches; //!
 
   ClassDef(ExRootTreeWriter, 1)
@@ -52,2 +54,3 @@
 
 #endif /* ExRootTreeWriter */
+
Index: external/ExRootAnalysis/ExRootUtilities.cc
===================================================================
--- external/ExRootAnalysis/ExRootUtilities.cc	(revision 4564cba9fa0180ca6c293da8cea545291a6d0116)
+++ external/ExRootAnalysis/ExRootUtilities.cc	(revision d7d2da362406b9e37fdf238970417c94779b54b0)
@@ -3,4 +3,8 @@
  *
  *  Functions simplifying ROOT tree analysis
+ *
+ *  $Date: 2008-06-04 13:57:57 $
+ *  $Revision: 1.1 $
+ *
  *
  *  \author P. Demin - UCL, Louvain-la-Neuve
@@ -10,10 +14,10 @@
 #include "ExRootAnalysis/ExRootUtilities.h"
 
+#include "TROOT.h"
+#include "TH1.h"
 #include "TChain.h"
-#include "TH1.h"
-#include "TROOT.h"
 
+#include <iostream>
 #include <fstream>
-#include <iostream>
 
 using namespace std;
@@ -74,2 +78,3 @@
 
 //------------------------------------------------------------------------------
+
Index: external/ExRootAnalysis/ExRootUtilities.h
===================================================================
--- external/ExRootAnalysis/ExRootUtilities.h	(revision 4564cba9fa0180ca6c293da8cea545291a6d0116)
+++ external/ExRootAnalysis/ExRootUtilities.h	(revision d7d2da362406b9e37fdf238970417c94779b54b0)
@@ -5,4 +5,8 @@
  *
  *  Functions simplifying ROOT tree analysis
+ *
+ *  $Date: 2008-06-04 13:57:28 $
+ *  $Revision: 1.1 $
+ *
  *
  *  \author P. Demin - UCL, Louvain-la-Neuve
